=== debian/changelog ===
projectm (2.0.1+dfsg-5) unstable; urgency=low

  * Added patches to make projectM find the right fonts
  * Do not crash if fonts are not found
  * Re-enabled FTGL support

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 28 Sep 2010 18:50:15 +0200

projectm (2.0.1+dfsg-4) unstable; urgency=low

  * Disable FTGL support (LP: #634925)
    (caused projectM to crash on some machines)

 -- Matthias Klumpp <matthias@nlinux.org>  Sat, 18 Sep 2010 19:02:50 +0200

projectm (2.0.1+dfsg-3) unstable; urgency=low

  * Generate valid pc file for libprojectM (Closes: #591011)
  * Update debian/watch file
  * Replaced section 'libs' with 'sound' in libvisual-projectm
    (Solves override disparity)

 -- Matthias Klumpp <matthias@nlinux.org>  Sat, 31 Jul 2010 18:41:14 +0200

projectm (2.0.1+dfsg-2) unstable; urgency=low

  * Prevent projectM-pulseaudio from crashing if graphics
    are not supported (Closes: #590706)
  * Check if PulseAudio is running in projectM-pulseaudio
  * Improve projectM error handling
  * Replace libprojectm-data with projectm-data
  * Bump standards version to 3.9.1

 -- Matthias Klumpp <matthias@nlinux.org>  Thu, 29 Jul 2010 18:11:52 +0200

projectm (2.0.1+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #565355, #588529)

 -- Matthias Klumpp <matthias@nlinux.org>  Thu, 01 Jul 2010 14:58:41 +0200
