=== debian/control ===
Source: projectm
Section: sound
Priority: optional
Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klumpp <matthias@nlinux.org>
Vcs-Git: git://git.debian.org/pkg-multimedia/projectm.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/projectm.git
Build-Depends: debhelper (>= 7.0.50~), cmake, libqt4-dev, libqt4-opengl-dev, libjack-dev,
 libglew-dev, libgl1-mesa-dev, libglu-dev, libx11-dev, libice-dev, libpulse-dev, libfreetype6-dev,
 libvisual-0.4-dev, libsdl1.2-dev, libftgl-dev
Standards-Version: 3.9.1
Homepage: http://projectm.sf.net

Package: libprojectm2
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, ttf-bitstream-vera, projectm-data
Replaces: libprojectm-data (<< 2.0.1)
Description: Advanced Milkdrop-compatible music visualization library
 libprojectm is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains the library and essential data needed for
 the visualization library to work.

Package: libprojectm-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libprojectm2 (= ${binary:Version})
Description: Advanced Milkdrop-compatible music visualization library - dev
 libprojectm is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains the development headers.

Package: projectm-data
Architecture: all
Section: libs
Replaces: libprojectm-data (<< 2.0.1)
Conflicts: libprojectm-data (<< 2.0.1)
Depends: ${misc:Depends}
Description: Advanced Milkdrop-compatible music visualization library - data
 libprojectm is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains the presets which are distributed with
 projectM.

Package: libvisual-projectm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libvisual module for projectM
 projectM is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains a module for libvisual enabling support for
 projectM.

Package: libprojectm-qt1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: projectM Qt4 bindings
 projectM is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains Qt4 interfaces to projectM.

Package: libprojectm-qt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libprojectm-qt1 (= ${binary:Version})
Description: projectM Qt4 (development files)
 projectM is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains the development files for the Qt4 bindings of projectM

Package: projectm-jack
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, jackd
Description: projectM JackAudio module
 projectM is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains an application to visualize JackAudio streams.

Package: projectm-pulseaudio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pulseaudio
Description: projectM PulseAudio module
 projectM is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 This package contains an application to visualize PulseAudio streams.

Package: projectm-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libprojectm2 (= ${binary:Version})
Description: Debugging symbols for projectM
 This package includes debugging symbols for all projectM
 libraries and applications.
 projectM is an iterative music visualization library which uses
 OpenGL for hardware acceleration. It is compatible with Milkdrop
 presets.
 .
 Most people will not need this package.
