=== debian/rules ===
#!/usr/bin/make -f

# Use this variable to allow options passed to cmake to be overridable
DEB_CMAKE_OPTIONS ?= -DCMAKE_VERBOSE_MAKEFILE=ON \
		-DCMAKE_INSTALL_PREFIX="/usr" \
		-DCMAKE_C_FLAGS="$(DEB_CFLAGS)" \
		-DINCLUDE-PROJECTM-TEST=OFF \
		-DINCLUDE-PROJECTM-JACK=ON

BUILD_DIR=$(CURDIR)/src/build

%:
	dh $@ --builddirectory=$(BUILD_DIR)
.PHONY: override_dh_strip

override_dh_auto_clean:
	[ ! -f $(BUILD_DIR) ] || $(MAKE) --directory=$(BUILD_DIR) clean
	rm -rf $(BUILD_DIR)
	
	# "Make clean" forgets these files
	rm -f $(CURDIR)/src/libprojectM/libprojectM.pc
	rm -f $(CURDIR)/src/libprojectM/config.inp
	rm -f $(CURDIR)/src/projectM-qt/libprojectM-qt.pc

override_dh_auto_configure:
	mkdir -p $(BUILD_DIR)
	cd $(BUILD_DIR) && \
		cmake $(DEB_CMAKE_OPTIONS) ..

override_dh_auto_install:
	$(MAKE) --directory=$(BUILD_DIR) install DESTDIR=$(CURDIR)/debian/tmp

override_dh_strip:
	dh_strip --dbg-package=projectm-dbg
